<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.9-beta3                                               |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est base sur le module existant pour le telechargement,     |
// | cette version permet le telechargement sur plusieurs pages.           |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

check_status(ACCESS_ADMINISTRATOR);

$DownloadMulti = get_plugin_data($plugin_id);
global $template, $lang, $page;

// Si le formulaire est posté
// alors on écrit la configuration
if (isset($_POST['downloadmulti_post_form']) == 1) {
  // Si l'utilisateur n'a pas indique de groupe authorisé à télécharger les images
  if ($_POST['downloadmulti_group_id'] == '') {
    array_push($page['errors'], $lang['dl_error_group_id']);
  }
    
  if ($_POST['downloadmulti_archive_size'] == '') {
    array_push($page['errors'], $lang['dl_error_file_size']);
  }
    
  // Si il n'y a pas d'erreurs
  if (count($page['errors']) == 0) {
    if(isset($_POST['downloadmulti_active_comment'])) {
      $downloadmulti_active_comment = 'on';
    } else {
      $downloadmulti_active_comment = '';
    }
    $DownloadMulti->my_config['active_comment'] = $downloadmulti_active_comment;
    $DownloadMulti->my_config['comment'] = $_POST['downloadmulti_comment'];
        
    //foreach($_POST['downloadmulti_group_id'] as $id_group) {
    //$groupes = $id_group.','.$groupes;
    $DownloadMulti->my_config['group_id'] = $_POST['downloadmulti_group_id'];
    //}
        
    $DownloadMulti->my_config['archive_size'] = $_POST['downloadmulti_archive_size'];
    $DownloadMulti->my_config['prefix'] = $_POST['downloadmulti_prefix'];
    $DownloadMulti->my_config['prefix_dir'] = $_POST['downloadmulti_prefix_dir'];
    $DownloadMulti->save_config();
		
    array_push($page['infos'], $lang['dl_backup_config']);
  }
}

// Chargement des groupes utilisateurs
$DmGroupId = isset($_POST['downloadmulti_group_id']);
$DownloadMulti->DmSelectGroup($DmGroupId);
$DownloadMulti->DmServeurConfiguration();

if(isset($DownloadMulti->my_config['active_comment'])) { $active_comment = $DownloadMulti->my_config['active_comment']; }
if(isset($DownloadMulti->my_config['comment'])) { $comment = $DownloadMulti->my_config['comment']; }
if(isset($DownloadMulti->my_config['archive_size'])) { $archive_size = $DownloadMulti->my_config['archive_size']; }
if(isset($DownloadMulti->my_config['prefix'])) { $prefix = $DownloadMulti->my_config['prefix']; }
if(isset($DownloadMulti->my_config['prefix_dir'])) { $prefix_dir = $DownloadMulti->my_config['prefix_dir']; }

// +-----------------------------------------------------------------------+
// |                            template initialization
// +-----------------------------------------------------------------------+
$template->set_filenames(array('plugin_admin_content' => $DownloadMulti->plugin_path.'template/admin.tpl'));

$template->assign(array(
  'F_ACTION' => PHPWG_ROOT_PATH.'admin.php?page=plugin&amp;section=download_multi%2Fadmin%2Fadmin.php',
  'DOWNLOADMULTI_ACTIVECOMMENT' => $active_comment ? 'checked="checked"' : '',
  'DOWNLOADMULTI_COMMENT' => $comment,
  'DOWNLOADMULTI_ARCHIVE_SIZE' => $archive_size,
  'DOWNLOADMULTI_PREFIX' => $prefix,
  'DOWNLOADMULTI_PREFIX_DIR' => $prefix_dir
));

$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>